Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCvudpsocket

## Specification of methods

### read Function Description

Form
  long read(WSCuchar* buffer,long size)
Function
  Read the broadcasted data from a UDP socket in a procedure which starts by the ACTIVATE event.
Description
Parameters

  (in)WSCuchar* buffer | Data reading buffer
  (in)long len | Data reading buffer length

Return value
  Read data length (bytes)
Notice
  When it is used in other than the event procedure started by the ACTIVATE event, it waits until any data is received or reaches a timeout.
Samples

        char buffer[128];
        long ret = newvudp_000->read(buffer,128);

  ### write Function Description

  Form
    long write(WSCuchar* buffer,long size)
  Function
    Write broadcast data into a socket to send
  Description
  Parameters

    (in)WSCuchar* buffer | Data reading buffer
    (in)long len | Data reading buffer length

  Return value
    Written data length (bytes)
  Notice
    Length of data which can be sent using UDP has a limit. Please regard 512 bytes as its upper limit.
  Samples

          char buffer[128];
          strcpy(buffer,"send data...");
          long ret = newvudp_000->write(buffer,128);

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004